Skip to main content
POST
/
events
curl --request POST \ --url https://api.cello.so/events \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "eventName": "ReferralUpdated", "payload": { "ucc": "cello-ucc", "newUserId": "new-user-product-id", "price": 0, "currency": "" }, "context": { "newUser": { "id": "new-user-id", "email": "new_user@gmail.com", "name": "New user name", "organizationId": "org-123" }, "event": { "trigger": "new-signup", "timestamp": "2022-10-05T14:14:34Z" } } } '
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
eventName
enum<string>
required
Available options:
ReferralUpdated
payload
object
required
context
object
required

Response

Event accepted

success
boolean